> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heybee.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Huggingface Usage



## OpenAPI

````yaml /openapi.json get /v1/integrations/huggingface/usage
openapi: 3.1.0
info:
  description: Customer-owned evaluation lifecycle API.
  title: HeyBee Public API
  version: 1.0.0
servers:
  - description: Production
    url: https://api.heybee.app
security: []
paths:
  /v1/integrations/huggingface/usage:
    get:
      tags:
        - Hugging Face
      summary: Huggingface Usage
      operationId: huggingface_usage_v1_integrations_huggingface_usage_get
      parameters:
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: X-API-Key
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HuggingFaceUsageResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - BearerAuth: []
        - ApiKeyAuth: []
components:
  schemas:
    HuggingFaceUsageResponse:
      properties:
        month_start:
          title: Month Start
          type: string
        quota_enabled:
          default: true
          title: Quota Enabled
          type: boolean
        reset_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Reset Date
        rows_limit:
          default: 0
          title: Rows Limit
          type: integer
        rows_reserved:
          default: 0
          title: Rows Reserved
          type: integer
        rows_used:
          default: 0
          title: Rows Used
          type: integer
      required:
        - month_start
      title: HuggingFaceUsageResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    BearerAuth:
      bearerFormat: Supabase JWT
      scheme: bearer
      type: http
    ApiKeyAuth:
      in: header
      name: X-API-Key
      type: apiKey

````